Foreman - Feature #2942

Plugin i18n support
08/16/2013 11:51 AM - Lukas Zapletal

Status: Closed

Priority: Normal

Assignee: Lukas Zapletal

Category: Internationalization

Target version: 1.3.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Changes necessary in Foreman to enable i18n for plugins.

Related issues:
Related to Foreman - Feature #3023: Rails models i18n support for plugins New 09/04/2013
Related to Foreman - Refactor #3061: Remove copied code from gettext debug he... Rejected 09/09/2013

Associated revisions

Revision d5a28dec - 09/09/2013 06:03 PM - Lukas Zapletal
fixes #2942 - plugin i18n support

This is first phase of plugins i18n support. More to come later:

e Extraction from model classes
¢ JavaScript extraction and support

Revision 432db23f - 04/08/2014 02:18 PM - Eric Helms
Refs #2942: Added plugin rake task to extract translations

History

#1 - 09/02/2013 02:51 PM - Lukas Zapletal

This is only first phase - string extraction and multidomain support.
Additionally, we need:

- model extraction
- javascript support

/out of scope of this feature/

#2 - 09/04/2013 02:21 PM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/851

and related, the discovery plugin update: https:/github.com/theforeman/foreman_discovery/pull/30

#3 - 09/04/2013 02:21 PM - Dominic Cleal

- Category changed from Rails to Internationalization

#4 - 09/04/2013 02:43 PM - Lukas Zapletal
- Related to Feature #3023: Rails models i18n support for plugins added

#5 - 09/09/2013 06:04 PM - Dominic Cleal
https://github.com/theforeman/foreman/pull/851
https://github.com/theforeman/foreman_discovery/pull/30

- Related to Refactor #3061: Remove copied code from gettext debug helper class added

#6 - 09/09/2013 06:31 PM - Lukas Zapletal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset d5a28decf96122c26576aef2fafed66aalefc582.

#7 - 04/08/2014 02:21 PM - Lukas Zapletal

Pushed better way of extracting strings for plugins:

https://github.com/theforeman/foreman/commit/432db23
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/d5a28decf96122c26576aef2fafed66aa1efc582
https://github.com/theforeman/foreman/commit/432db23
